Loading...
Searching...
No Matches
mongocxx::v1::bulk_write::single Class Reference

`#include <mongocxx/v1/bulk_write.hpp>`

## Description

A single write operation.

See also
  - Bulk Write Operations (MongoDB Manual)
  - Update Methods (MongoDB Manual)

## Public Member Functions

| single (single &&other) noexcept
| Move constructor.
| single (single const &other)
| Copy construction.
| ~single ()
| Destroy this object.
single & | operator= (single &&other) noexcept
| Move assignment.
single & | operator= (single const &other)
| Copy assignment.
v1::bulk_write::type | type () const
| Return the type of this write operation.
| single (insert_one op)
| Initialize with op.
| single (update_one op)
| Initialize with op.
| single (update_many op)
| Initialize with op.
| single (delete_one op)
| Initialize with op.
| single (delete_many op)
| Initialize with op.
| single (replace_one op)
| Initialize with op.
insert_one const & | get_insert_one () const &
| Return this write operation as an mongocxx::v1::bulk_write::insert_one.
insert_one && | get_insert_one () &&
| Return this write operation as an mongocxx::v1::bulk_write::insert_one.
update_one const & | get_update_one () const &
| Return this write operation as an mongocxx::v1::bulk_write::update_one.
update_one && | get_update_one () &&
| Return this write operation as an mongocxx::v1::bulk_write::update_one.
update_many const & | get_update_many () const &
| Return this write operation as an mongocxx::v1::bulk_write::update_many.
update_many && | get_update_many () &&
| Return this write operation as an mongocxx::v1::bulk_write::update_many.
delete_one const & | get_delete_one () const &
| Return this write operation as an mongocxx::v1::bulk_write::delete_one.
delete_one && | get_delete_one () &&
| Return this write operation as an mongocxx::v1::bulk_write::delete_one.
delete_many const & | get_delete_many () const &
| Return this write operation as an mongocxx::v1::bulk_write::delete_many.
delete_many && | get_delete_many () &&
| Return this write operation as an mongocxx::v1::bulk_write::delete_many.
replace_one const & | get_replace_one () const &
| Return this write operation as an mongocxx::v1::bulk_write::replace_one.
replace_one && | get_replace_one () &&
| Return this write operation as an mongocxx::v1::bulk_write::replace_one.

## Constructor & Destructor Documentation

## ~single()

mongocxx::v1::bulk_write::single::~single | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated references.

## single() [1/8]

mongocxx::v1::bulk_write::single::single | ( | single && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## single() [2/8]

mongocxx::v1::bulk_write::single::single | ( | single const & | other | ) |

Copy construction.

## single() [3/8]

mongocxx::v1::bulk_write::single::single | ( | insert_one | op | ) |

Initialize with op.

## single() [4/8]

mongocxx::v1::bulk_write::single::single | ( | update_one | op | ) |

Initialize with op.

## single() [5/8]

mongocxx::v1::bulk_write::single::single | ( | update_many | op | ) |

Initialize with op.

## single() [6/8]

mongocxx::v1::bulk_write::single::single | ( | delete_one | op | ) |

Initialize with op.

## single() [7/8]

mongocxx::v1::bulk_write::single::single | ( | delete_many | op | ) |

Initialize with op.

## single() [8/8]

mongocxx::v1::bulk_write::single::single | ( | replace_one | op | ) |

Initialize with op.

## Member Function Documentation

## get_delete_many() [1/2]

delete_many && mongocxx::v1::bulk_write::single::get_delete_many | ( |  | ) | &&

Return this write operation as an mongocxx::v1::bulk_write::delete_many.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_delete_many

## get_delete_many() [2/2]

delete_many const & mongocxx::v1::bulk_write::single::get_delete_many | ( |  | ) | const &

Return this write operation as an mongocxx::v1::bulk_write::delete_many.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_delete_many

## get_delete_one() [1/2]

delete_one && mongocxx::v1::bulk_write::single::get_delete_one | ( |  | ) | &&

Return this write operation as an mongocxx::v1::bulk_write::delete_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_delete_one

## get_delete_one() [2/2]

delete_one const & mongocxx::v1::bulk_write::single::get_delete_one | ( |  | ) | const &

Return this write operation as an mongocxx::v1::bulk_write::delete_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_delete_one

## get_insert_one() [1/2]

insert_one && mongocxx::v1::bulk_write::single::get_insert_one | ( |  | ) | &&

Return this write operation as an mongocxx::v1::bulk_write::insert_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_insert_one

## get_insert_one() [2/2]

insert_one const & mongocxx::v1::bulk_write::single::get_insert_one | ( |  | ) | const &

Return this write operation as an mongocxx::v1::bulk_write::insert_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_insert_one

## get_replace_one() [1/2]

replace_one && mongocxx::v1::bulk_write::single::get_replace_one | ( |  | ) | &&

Return this write operation as an mongocxx::v1::bulk_write::replace_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_replace_one

## get_replace_one() [2/2]

replace_one const & mongocxx::v1::bulk_write::single::get_replace_one | ( |  | ) | const &

Return this write operation as an mongocxx::v1::bulk_write::replace_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_replace_one

## get_update_many() [1/2]

update_many && mongocxx::v1::bulk_write::single::get_update_many | ( |  | ) | &&

Return this write operation as an mongocxx::v1::bulk_write::update_many.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_update_many

## get_update_many() [2/2]

update_many const & mongocxx::v1::bulk_write::single::get_update_many | ( |  | ) | const &

Return this write operation as an mongocxx::v1::bulk_write::update_many.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_update_many

## get_update_one() [1/2]

update_one && mongocxx::v1::bulk_write::single::get_update_one | ( |  | ) | &&

Return this write operation as an mongocxx::v1::bulk_write::update_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_update_one

## get_update_one() [2/2]

update_one const & mongocxx::v1::bulk_write::single::get_update_one | ( |  | ) | const &

Return this write operation as an mongocxx::v1::bulk_write::update_one.

Preconditions:
  - this->type() == mongocxx::v1::bulk_write::type::k_update_one

## operator=() [1/2]

single & mongocxx::v1::bulk_write::single::operator= | ( | single && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

single & mongocxx::v1::bulk_write::single::operator= | ( | single const & | other | ) |

Copy assignment.

## type()

v1::bulk_write::type mongocxx::v1::bulk_write::single::type | ( |  | ) | const

Return the type of this write operation.

The documentation for this class was generated from the following file:

- mongocxx/v1/bulk_write.hpp